<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.jgroups.stack.protocol.AUTH.token.plain" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="shared-secret-reference"/>
        <elem name="addr-params" value="profile,subsystem,stack,protocol,token"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.auth-token.$stack.$protocol"/>
    </provides>
    <refs>
        <ref feature="subsystem.jgroups.stack.protocol.AUTH"/>
        <ref feature="subsystem.jgroups.stack"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="stack" feature-id="true"/>
        <param name="protocol" feature-id="true" default="AUTH"/>
        <param name="shared-secret-reference" stability="default"/>
        <param name="token" feature-id="true" default="plain"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>